Bulk delete contacts

Permanently deletes multiple contacts by ID, returning counts of deleted and failed records. One request carries at most 1000 ids.

POST
/v1/contacts/bulk-delete

Permanently deletes multiple contacts by ID, returning counts of deleted and failed records. One request carries at most 1000 ids.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
ids*array<>
Items1 <= items <= 1000

Response Body

Success

application/json
  1. response
deleted*integer
Range0 <= value <= 9007199254740991
failed*integer
Range0 <= value <= 9007199254740991
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contacts.bulkDelete({  "ids": [    "example"  ]});
Example Response
{  "deleted": 0,  "failed": 0}

Related documentation